# coding: utf-8

"""
    Memsource REST API

    Welcome to Memsource's API documentation. To view our legacy APIs please [visit our documentation](https://wiki.memsource.com/wiki/Memsource_API) and for more information about our new APIs, [visit our blog](https://www.memsource.com/blog/2017/10/24/introducing-rest-apis-qa-with-the-memsource-api-team/).    If you have any questions, please contact [Memsource Support](<mailto:support@memsource.com>).  # noqa: E501

    OpenAPI spec version: Latest
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


import pprint
import re  # noqa: F401

import six

from memsource_cli.models.analyse_language_part_dto import AnalyseLanguagePartDto  # noqa: F401,E501
from memsource_cli.models.net_rate_scheme_reference import NetRateSchemeReference  # noqa: F401,E501
from memsource_cli.models.user_reference import UserReference  # noqa: F401,E501


class AnalyseDto(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'id': 'str',
        'type': 'str',
        'name': 'str',
        'assigned_linguist': 'UserReference',
        'created_by': 'UserReference',
        'date_created': 'datetime',
        'net_rate_scheme': 'NetRateSchemeReference',
        'analyse_language_parts': 'list[AnalyseLanguagePartDto]'
    }

    attribute_map = {
        'id': 'id',
        'type': 'type',
        'name': 'name',
        'assigned_linguist': 'assignedLinguist',
        'created_by': 'createdBy',
        'date_created': 'dateCreated',
        'net_rate_scheme': 'netRateScheme',
        'analyse_language_parts': 'analyseLanguageParts'
    }

    def __init__(self, id=None, type=None, name=None, assigned_linguist=None, created_by=None, date_created=None, net_rate_scheme=None, analyse_language_parts=None):  # noqa: E501
        """AnalyseDto - a model defined in Swagger"""  # noqa: E501

        self._id = None
        self._type = None
        self._name = None
        self._assigned_linguist = None
        self._created_by = None
        self._date_created = None
        self._net_rate_scheme = None
        self._analyse_language_parts = None
        self.discriminator = None

        if id is not None:
            self.id = id
        if type is not None:
            self.type = type
        if name is not None:
            self.name = name
        if assigned_linguist is not None:
            self.assigned_linguist = assigned_linguist
        if created_by is not None:
            self.created_by = created_by
        if date_created is not None:
            self.date_created = date_created
        if net_rate_scheme is not None:
            self.net_rate_scheme = net_rate_scheme
        if analyse_language_parts is not None:
            self.analyse_language_parts = analyse_language_parts

    @property
    def id(self):
        """Gets the id of this AnalyseDto.  # noqa: E501


        :return: The id of this AnalyseDto.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this AnalyseDto.


        :param id: The id of this AnalyseDto.  # noqa: E501
        :type: str
        """

        self._id = id

    @property
    def type(self):
        """Gets the type of this AnalyseDto.  # noqa: E501


        :return: The type of this AnalyseDto.  # noqa: E501
        :rtype: str
        """
        return self._type

    @type.setter
    def type(self, type):
        """Sets the type of this AnalyseDto.


        :param type: The type of this AnalyseDto.  # noqa: E501
        :type: str
        """
        allowed_values = ["PreAnalyse", "PostAnalyse", "PreAnalyseTarget", "Compare"]  # noqa: E501
        if type not in allowed_values:
            raise ValueError(
                "Invalid value for `type` ({0}), must be one of {1}"  # noqa: E501
                .format(type, allowed_values)
            )

        self._type = type

    @property
    def name(self):
        """Gets the name of this AnalyseDto.  # noqa: E501


        :return: The name of this AnalyseDto.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this AnalyseDto.


        :param name: The name of this AnalyseDto.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def assigned_linguist(self):
        """Gets the assigned_linguist of this AnalyseDto.  # noqa: E501


        :return: The assigned_linguist of this AnalyseDto.  # noqa: E501
        :rtype: UserReference
        """
        return self._assigned_linguist

    @assigned_linguist.setter
    def assigned_linguist(self, assigned_linguist):
        """Sets the assigned_linguist of this AnalyseDto.


        :param assigned_linguist: The assigned_linguist of this AnalyseDto.  # noqa: E501
        :type: UserReference
        """

        self._assigned_linguist = assigned_linguist

    @property
    def created_by(self):
        """Gets the created_by of this AnalyseDto.  # noqa: E501


        :return: The created_by of this AnalyseDto.  # noqa: E501
        :rtype: UserReference
        """
        return self._created_by

    @created_by.setter
    def created_by(self, created_by):
        """Sets the created_by of this AnalyseDto.


        :param created_by: The created_by of this AnalyseDto.  # noqa: E501
        :type: UserReference
        """

        self._created_by = created_by

    @property
    def date_created(self):
        """Gets the date_created of this AnalyseDto.  # noqa: E501


        :return: The date_created of this AnalyseDto.  # noqa: E501
        :rtype: datetime
        """
        return self._date_created

    @date_created.setter
    def date_created(self, date_created):
        """Sets the date_created of this AnalyseDto.


        :param date_created: The date_created of this AnalyseDto.  # noqa: E501
        :type: datetime
        """

        self._date_created = date_created

    @property
    def net_rate_scheme(self):
        """Gets the net_rate_scheme of this AnalyseDto.  # noqa: E501


        :return: The net_rate_scheme of this AnalyseDto.  # noqa: E501
        :rtype: NetRateSchemeReference
        """
        return self._net_rate_scheme

    @net_rate_scheme.setter
    def net_rate_scheme(self, net_rate_scheme):
        """Sets the net_rate_scheme of this AnalyseDto.


        :param net_rate_scheme: The net_rate_scheme of this AnalyseDto.  # noqa: E501
        :type: NetRateSchemeReference
        """

        self._net_rate_scheme = net_rate_scheme

    @property
    def analyse_language_parts(self):
        """Gets the analyse_language_parts of this AnalyseDto.  # noqa: E501


        :return: The analyse_language_parts of this AnalyseDto.  # noqa: E501
        :rtype: list[AnalyseLanguagePartDto]
        """
        return self._analyse_language_parts

    @analyse_language_parts.setter
    def analyse_language_parts(self, analyse_language_parts):
        """Sets the analyse_language_parts of this AnalyseDto.


        :param analyse_language_parts: The analyse_language_parts of this AnalyseDto.  # noqa: E501
        :type: list[AnalyseLanguagePartDto]
        """

        self._analyse_language_parts = analyse_language_parts

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(AnalyseDto, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, AnalyseDto):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
